/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.application.default10;

import java.util.Map;

import org.bluestemsoftware.specification.eoa.component.RootComponent.ComponentName;
import org.bluestemsoftware.specification.eoa.component.application.rt.AbstractApplicationReference;
import org.bluestemsoftware.specification.eoa.component.application.rt.AbstractRoleReference;
import org.bluestemsoftware.specification.eoa.component.application.rt.RoleReference;

public class DefaultApplicationReference extends AbstractApplicationReference {

    public DefaultApplicationReference(ComponentName arg0, Map<String, RoleReference> arg1, boolean arg2) {
        super(arg0, arg1, arg2);
    }

    /*
     * (non-Javadoc)
     * @see org.bluestemsoftware.specification.eoa.component.application.rt.AbstractApplicationReference#createMyRoleReference(java.lang.String)
     */
    @Override
    protected AbstractRoleReference createRoleReference(String roleName) {
        return new DefaultRoleReference(roleName, null);
    }

}
