/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.binding.soap;

import java.util.HashMap;

import javax.xml.namespace.QName;

import org.bluestemsoftware.specification.eoa.component.intrface.rt.SystemFault;
import org.bluestemsoftware.specification.eoa.component.message.MessagePart;

/**
 * A concrete instance of built-in abstract message {@link SystemFault#MESSAGE_NAME} bound
 * using SOAP protocol. Note that message is undeclared which implies that parent component is
 * undefined.
 */
public final class SOAPSystemFaultMessage extends SOAPDocumentStyleMessage {

    private static SOAPSystemFaultMessage singleton = new SOAPSystemFaultMessage();

    private SOAPSystemFaultMessage() {
        super(new HashMap<QName, SOAPHeaderBlock>(), MessagePart.PAYLOAD);
    }

    /**
     * Gets singleton.
     * 
     * @return
     */
    public static SOAPSystemFaultMessage getInstance() {
        return singleton;
    }

}
