/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.feature.auth.jaas;


/**
 * Encapsulates credentials associated with a login attempt. Defines one
 * credential type, i.e. user. Other credential types may be defined by
 * extensions to this interface.
 */
public interface LoginCredentials {
    
    /**
     * Return user name.
     * @return
     */
    public String getUser();
    
    /**
     * Compares password retrieved by <code>LoginModule</code> against value returned
     * by client.
     * 
     * @param password
     * 
     * @return true if response is authentic, false if not
     */
    public boolean check(Object password);
    
}
