/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.idl.wsdl.wsdl11;

import org.bluestemsoftware.specification.eoa.component.ComponentReader;
import org.w3c.dom.Element;

/**
 * Models a 'top-level' definition element.
 */
public interface DefinitionElement extends Element {

    /**
     * Indicates whether or not definition has already been read by a {@link ComponentReader}.
     * @return true if read, false if not.
     */
    public boolean isRead();

    /**
     * Set by {@link ComponentReader} after top-level component definition was read from
     * element.
     * 
     * @param isRead
     */
    public void setIsRead(boolean isRead);

}
