/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.idl.wsdl.wsdl20;

import org.bluestemsoftware.specification.eoa.ext.idl.wsdl.wsdl20.ext.SOAPBindingElement;
import org.bluestemsoftware.specification.eoa.ext.idl.wsdl.wsdl20.ext.SOAPBindingFaultElement;
import org.bluestemsoftware.specification.eoa.ext.idl.wsdl.wsdl20.ext.SOAPBindingOperationElement;
import org.bluestemsoftware.specification.eoa.ext.idl.wsdl.wsdl20.ext.SOAPBindingOperationInputElement;
import org.bluestemsoftware.specification.eoa.ext.idl.wsdl.wsdl20.ext.SOAPBindingOperationOutputElement;
import org.bluestemsoftware.specification.eoa.ext.idl.wsdl.wsdl20.ext.SOAPHeaderElement;

/**
 * Extends core <code>WSDL20</code> document by incorporating SOAP extension
 * elements.
 * 
 */
public interface ExtendedDocument extends WSDL20Document {

    public static final String WSDL_SOAP_NS = "http://www.w3.org/ns/wsdl/soap";
    public static final String WSDL_SOAP_NS_PREFIX = "wsoap";
        
    /*
     * (non-Javadoc)
     * 
     * SPI
     */
    public interface Provider extends WSDL20Document.Provider {
    }

    public SOAPBindingElement createSOAPBindingElement() ;

    public SOAPBindingFaultElement createSOAPBindingFaultElement();

    public SOAPBindingOperationElement createSOAPBindingOperationElement();

    public SOAPBindingOperationInputElement createSOAPBindingOperationInputElement();

    public SOAPBindingOperationOutputElement createSOAPBindingOperationOutputElement();

    public SOAPHeaderElement createSOAPHeaderElement();
    
 
}
