/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.idl.wsdl.wsdl20.ext;

import java.util.Map;

import javax.xml.namespace.QName;

import org.bluestemsoftware.specification.eoa.ext.idl.wsdl.wsdl20.BindingFaultElement;
import org.bluestemsoftware.specification.eoa.ext.idl.wsdl.wsdl20.WSDL20Factory;

/**
 * Models a <code>WSDL</code> 2.0 soap binding 'fault' extension element. Note that it is
 * implementation's responsibility to switch thread context classloader as required to/from
 * {@link WSDL20Factory} deployment classloader.
 */
public interface SOAPBindingFaultElement extends BindingFaultElement {

    public void setCode(String value) ;
    
    public String getCode();
    
    public void setSubcodes(String value) ;
    
    public String getSubcodes();
    
    public void setContentEncoding(String value);
    
    public String getContentEncoding();
    
    public SOAPHeaderElement addSOAPHeaderElement(SOAPHeaderElement headerElement);

    /**
     * Gets soap header elements
     * @return Map indexed by element decl name or an empty map if none defined.
     */
    public Map<QName, SOAPHeaderElement> getSOAPHeaderElements();
    
    public HTTPHeaderElement addHTTPHeaderElement(HTTPHeaderElement headerElement);

    /**
     * Gets http header elements
     * @return Map indexed by header name or an empty map if none defined.
     */
    public Map<String, HTTPHeaderElement> getHTTPHeaderElements();

}
