/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.idl.wsdl.wsdl20.ext;

import org.bluestemsoftware.specification.eoa.ext.idl.wsdl.wsdl20.BindingOperationElement;
import org.bluestemsoftware.specification.eoa.ext.idl.wsdl.wsdl20.WSDL20Factory;

/**
 * Models a <code>WSDL</code> 2.0 soap binding 'operation' extension element. Note that it is
 * implementation's responsibility to switch thread context classloader as required to/from
 * {@link WSDL20Factory} deployment classloader.
 */

public interface SOAPBindingOperationElement extends BindingOperationElement {

    public void setMEP(String value);
    
    public String getMEP();
    
    /**
     * Set SOAP action.
     * 
     * @param value
     */
    public void setAction(String value);
    
    /**
     * Gets SOAP action.
     * 
     * @return
     */
    public String getAction();
    
    public void setLocation(String value);
    
    public String getLocation();
    
    public void setContentEncodingDefault(String value);
    
    public String getContentEncodingDefault();
    
    public void setQueryParameterSeparator(String value);
    
    public String getQueryParameterSeparator();

    public Boolean ignoreUncited();
    
    public void setIgnoreUncited(Boolean ignoreUncited);
    
}
