/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.message.default10;

import javax.xml.namespace.QName;

import org.bluestemsoftware.specification.eoa.component.application.rt.ApplicationRT;
import org.bluestemsoftware.specification.eoa.component.message.rt.Message;

/**
 * A 'default' runtime <code>Message</code> component.
 * <p>
 * Note that choice of DOM implementation is specific to underlying extension provider and MUST
 * NOT be relied upon by users of this <code>Message</code>. An <code>Application</code>
 * MAY, however, 'override' default provider with an alternative provider, in which case,
 * content can then be cast to a preferred DOM implementation, e.g. Axiom.
 * 
 * @see ApplicationRT#createMessage(QName, boolean)
 */
public interface DefaultMessage extends Message {

    public static final String TYPE = "http://bluestemsoftware.org/specification/eoa/ext/message/default/1.0";


    /*
     * (non-Javadoc)
     * 
     * SPI
     */
    public interface Provider extends Message.Provider {
    }
    
}
