/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.policy.wsp15;

import javax.xml.namespace.QName;

import org.bluestemsoftware.specification.eoa.component.policy.rt.PolicyExpression;

/**
 * A <code>PolicyExpression</code> element which conforms to version 1.5 of the WS-Policy
 * specification.
 * <p>
 * Note that it is implementation's responsibility to switch thread context classloader as
 * required to/from {@link WSPolicyFactory} deployment classloader.
 */
public interface WSPolicyExpression extends PolicyExpression {
    
    public static final QName NAME = new QName(WSPolicyDocument.TYPE, "Policy", WSPolicyDocument.PREFIX);

    /**
     * Returns name of policy expression as an absolute URI. If omitted, there is no implied
     * value.
     * 
     * @return String name of the expression or <code>null</code> if undefined
     */
    public String getExpressionName();

}
