/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.schema.xs.xs10;

import org.bluestemsoftware.specification.eoa.component.FragmentIdentifier;
import org.bluestemsoftware.specification.eoa.ext.schema.xs.XMLSchemaException;
import org.w3c.dom.Element;

/**
 * Models a schema element which references another schema, i.e. an import, include or redefine
 * element. Note that it is implementation's responsibility to switch thread context
 * classloader as required to/from {@link XMLSchemaFactory} deployment classloader.
 */
public interface XMLSchemaReference extends Element {

    /**
     * Gets location URL of referenced <code>Schema</code>.
     * 
     * @return
     * @throws XMLSchemaException
     */
    public String getSchemaLocation();

    /**
     * Gets fragmentIdentifier of referenced <code>Schema</code> component.
     * 
     * @return
     * @throws XMLSchemaException
     */
    public FragmentIdentifier getSchemaFragmentIdentifier();

}
